Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibCommon/TComPrediction.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibCommon/TComPrediction.cpp	(revision 820)
@@ -625,7 +625,5 @@
   
   Int iSizeInBits = g_aucConvertToBit[uiSize] - g_aucConvertToBit[iSubSample];  // respect sub-sampling factor
-  Int iMean = iSumDepth >> iSizeInBits*2;       // iMean /= (uiWidth*uiHeight);
-  AOF( iMean == iSumDepth/((uiSize/iSubSample)*(uiSize/iSubSample) ) );
-  AOF( iMean >= 0 && iMean < 256);
+  Int iMean = iSumDepth >> iSizeInBits*2;       // iMean /= (uiSize*uiSize);
   
   // start again for segmentation
@@ -648,5 +646,4 @@
       // decide which segment this pixel belongs to
       Int ucSegment = (Int)(depthPel>iMean);
-      AOF( ucSegment == 0 || ucSegment == 1 );
       
       // Matched Filter to find optimal (conventional) partitioning
@@ -718,6 +715,4 @@
 Bool TComPrediction::getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask )
 {
-  AOF( uiWidth == uiHeight );
-  
   // segmentation of texture block --> mask IDs
   Pel*  pDepthBlockStart      = pDepthPels;
@@ -748,8 +743,7 @@
     return false;
   
+  AOF(uiWidth==uiHeight);
   Int iSizeInBits = g_aucConvertToBit[uiWidth]+2;
   Int iMean = iSumDepth >> iSizeInBits*2;       // iMean /= (uiWidth*uiHeight);
-  AOF( iMean == iSumDepth/(uiWidth*uiHeight) );
-  AOF( iMean >= 0 && iMean < 256);
   
   // start again for segmentation
@@ -768,5 +762,4 @@
       // decide which segment this pixel belongs to
       Int ucSegment = (Int)(depthPel>iMean);
-      AOF( ucSegment == 0 || ucSegment == 1 );
       
       if( bInvertMask )
Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecCu.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecCu.cpp	(revision 820)
@@ -753,5 +753,4 @@
   AOF(!pcCU->getSlice()->isIntra());
   PartSize ePartSize = pcCU->getPartitionSize( 0 );
-  AOF( uiAbsPartIdx == pcCU->getZorderIdxInCU() );
   
   // get collocated depth block
@@ -762,5 +761,4 @@
   
   // compute mask by segmenting depth block
-  AOF( pcCU->getWidth(0) == m_ppcYuvReco[uiDepth]->getWidth() );
   Bool pMask[MAX_CU_SIZE*MAX_CU_SIZE];
   Bool bValidMask = m_pcPrediction->getSegmentMaskFromDepth(pDepthPels, uiDepthStride, pcCU->getWidth(0), pcCU->getHeight(0), pMask);
Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 820)
@@ -161,5 +161,4 @@
       
       pcCU->setPartSizeSubParts(eVirtualPartSize, uiAbsPartIdx, uiDepth);
-      AOF( pcCU->getPartitionSize(uiAbsPartIdx) == eVirtualPartSize );
     }
   }
Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 820)
@@ -2153,12 +2153,4 @@
   m_pcTDecBinIf->decodeBin( uiSymbol, m_cDBBPFlagSCModel.get( 0, 0, 0 ) );
   
-  DTRACE_CABAC_VL( g_nSymbolCounter++ );
-  DTRACE_CABAC_T( "\tDBBPFlag" );
-  DTRACE_CABAC_T( "\tuiCtxDBBP: ");
-  DTRACE_CABAC_V( uiCtxDBBPFlag );
-  DTRACE_CABAC_T( "\tuiSymbol: ");
-  DTRACE_CABAC_V( uiSymbol );
-  DTRACE_CABAC_T( "\n");
-  
   if( uiSymbol )
   {
Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncCu.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncCu.cpp	(revision 820)
@@ -2363,5 +2363,5 @@
     {
       UChar ucSegment = (UChar)pMask[x];
-      assert( ucSegment < 2 );
+      AOF( ucSegment < 2 );
       
       piDst[x] = (ucSegment==uiValidSegment)?piSrc[x]:DBBP_INVALID_SHORT;
@@ -2387,5 +2387,5 @@
     {
       UChar ucSegment = (UChar)pMask[x*2];
-      assert( ucSegment < 2 );
+      AOF( ucSegment < 2 );
       
       piDstU[x] = (ucSegment==uiValidSegment)?piSrcU[x]:DBBP_INVALID_SHORT;
@@ -2405,5 +2405,4 @@
   AOF( !rpcTempCU->getSlice()->getIsDepth() );
   
-  
   UChar uhDepth = rpcTempCU->getDepth( 0 );
   
@@ -2425,5 +2424,5 @@
   rpcTempCU->setPartSizeSubParts( SIZE_2Nx2N,  0, uhDepth );
   
-  // get coded and reconstructed depth view
+  // fetch virtual depth block
   UInt uiDepthStride = 0;
   Pel* pDepthPels = rpcTempCU->getVirtualDepthBlock(0, uiWidth, uiHeight, uiDepthStride);
@@ -2486,4 +2485,5 @@
   }
   
+  // store final motion/disparity information in each PU using derived partitioning
   rpcTempCU->setDepthSubParts( uhDepth, 0 );
   rpcTempCU->setPartSizeSubParts  ( eVirtualPartSize,  0, uhDepth );
Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 820)
@@ -245,4 +245,6 @@
   if( pcCU->getDBBPFlag(uiAbsPartIdx) )
   {
+    AOF( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) );
+    
     // temporarily change partition size for DBBP blocks
     pcCU->setPartSizeSubParts(RWTH_DBBP_PACK_MODE, uiAbsPartIdx, uiDepth);
Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 820)
@@ -1240,11 +1240,4 @@
     m_pcBinIf->encodeBin( uiInterDir == 2 ? 1 : 0, *( pCtx + uiCtx ) );
   }
-#if H_3D_DBBP
-  else
-  {
-    // only uni-prediction is allowed for DBBP
-    AOF( uiInterDir == 0 || uiInterDir == 1 );
-  }
-#endif
   if (uiInterDir < 2)
   {
Index: /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 819)
+++ /branches/HTM-9.3-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 820)
@@ -4657,5 +4657,5 @@
       }
       
-      // update these values to virtual partition size
+      // update values to virtual partition size
       pcCU->getPartIndexAndSize( uiPartIdx, uiPartAddr, iRoiWidth, iRoiHeight );
     }
@@ -4667,5 +4667,5 @@
     if( pcCU->getDBBPFlag(0) )
     {
-      // reset to 2Nx2N for motion search
+      // restore 2Nx2N partitioning for motion estimation
       uiPartIdx = 0;
       AOF( pcCU->getPartitionSize(0) == pDBBPTmpData->eVirtualPartSize );
